Secure Locate Heap Corruption Vulnerability

Bugtraq ID: 2004
Class: Input Validation Error
CVE:
Remote: No
Local: Yes
Published: Nov 26 2000 12:00AM
Updated: Nov 26 2000 12:00AM
Credit: Vulnerability discovered by zorgon <zorgon@linuxstart.com>. Detailed information and exploit posted to Bugtraq by Michel Kaempf <maxx@mastersecurity.fr> on Nov 26, 2000.
Vulnerable: Kevin Lindsay Secure Locate 2.2
+ Debian Linux 2.2 sparc
+ Debian Linux 2.2 powerpc
+ Debian Linux 2.2 arm
+ Debian Linux 2.2 alpha
+ Debian Linux 2.2 68k
+ Mandriva Linux Mandrake 7.2
+ RedHat Linux 7.0 i386
Kevin Lindsay Secure Locate 2.1
+ Mandriva Linux Mandrake 7.1
+ RedHat Linux 6.2 sparc
+ RedHat Linux 6.2 i386
+ RedHat Linux 6.2 alpha
Kevin Lindsay Secure Locate 2.0
+ RedHat Linux 6.1 sparc
+ RedHat Linux 6.1 i386
+ RedHat Linux 6.1 alpha
Kevin Lindsay Secure Locate 1.6
Kevin Lindsay Secure Locate 1.5
Kevin Lindsay Secure Locate 1.4
Not Vulnerable: Kevin Lindsay Secure Locate 2.3


 

Privacy Statement
Copyright 2010, SecurityFocus